Page MenuHomePhabricator

[BUG] Widening is broken for some images when loading with the content service
Closed, ResolvedPublic1 Estimate Story Points

Description

Image widening is broken on some pages with content service loading. This is because widenImages.shouldWidenImage() checks that the <img>'s parent node has the "image" class. In some cases, the "image" class isn't present on the parent in Parsoid HTML.

Steps to reproduce

View "Vincent Van Gogh" on enwiki with the content service enabled

Expected results

Images are widened as expected

Actual results

They aren't

Environments observed

App version: all
Android OS versions: n/a
Device model: all
Device language: en

Event Timeline

Mholloway created this task.Apr 9 2016, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2016, 6:15 PM
Mholloway triaged this task as High priority.Apr 9 2016, 6:16 PM
Mholloway moved this task from Needs Triage to Bug Backlog on the Wikipedia-Android-App-Backlog board.
Mholloway lowered the priority of this task from High to Medium.Apr 13 2016, 4:11 PM

This probably isn't high-priority in the broad scheme of things, but the images in question should at least be centered when not widened, which is something I'm planning to take care of in the course of work on T127015: Don't widen images when on metered connection.

Mholloway renamed this task from [BUG] Image widening is broken for some pages when loading with the content service to [BUG] Widening is broken for some images when loading with the content service.Apr 13 2016, 4:14 PM
Mholloway moved this task from Incoming to Backlog on the Mobile-Content-Service board.
MBinder_WMF set the point value for this task to 1.May 18 2016, 7:21 PM
Mholloway closed this task as Resolved.Sep 19 2016, 3:30 PM
Mholloway claimed this task.

Just reviewed this in the current beta and the article in question looks good. The centering issue I noted above is fixed. Resolving.